pipeline {
    agent any
    tools { 
        maven 'maven-3.6.0' 
    }

    stages { 
     stage("SCM checkout"){
       steps{
          echo "BRANCH_NAME: ${env.BRANCH_NAME}"
          checkout scm
       }
     }
     stage("branch processing"){
       steps{
          echo "BRANCH_NAME: ${env.BRANCH_NAME}"
            script {
              if (env.BRANCH_NAME.startsWith("feature")) {             
                echo "rebase ${env.BRANCH_NAME} on develop"
              }     
            }
       }
     }
     stage("maven build"){
       steps{
          sh '''mvn clean install'''
       }
     }
   }

}
